function [L,U,P] = LUProzklad(A)

[m,n]= size(A);

L=eye(n); % matice (opacnych) koeficientu GEM
P=eye(n); % inicializace permutacni matice

% primy chod GEM s pivotaci

for k=1:n-1
    % pivotace
    [pivot,idx]=max(abs(A(k:n,k))); % idx neodpovida cislovani radku
    idx=idx + (k-1); % posun indexace, idx uz odpovida r. 
    vec=A(k,:); A(k,:)=A(idx,:); A(idx,:)=vec;
    vec=P(k,:); P(k,:)=P(idx,:); P(idx,:)=vec;
    vec=L(k,:); L(k,:)=L(idx,:); L(idx,:)=vec;
    vec=L(:,k); L(:,k)=L(:,idx); L(:,idx)=vec;
%    vec=L(k,1:k-1); L(k,1:k-1)=L(idx,1:k-1); L(idx,1:k-1)=vec;


    for i=k+1:n
        koef= - A(i,k)./A(k,k);
        L(i,k)= -koef;
        for j=k:n
            A(i,j) = A(i,j) + koef.*A(k,j);
        end
    end
end

U=A; % koncova matice po GEM

end