function [L,U] = LUrozklad(A)

[m,n]= size(A);

L=eye(n); % matice (opacnych) koeficientu GEM

% primy chod GEM

for k=1:n-1
    for i=k+1:n
        koef= - A(i,k)./A(k,k);
        L(i,k)= -koef;
        for j=k:n
            A(i,j) = A(i,j) + koef.*A(k,j);
        end
    end
end

U=A; % koncova matice po GEM

end